"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.flatten = exports["default"] = void 0;

var _ = require(".");

var flatten = function flatten(arr) {
  return arr.reduce(function (a, b) {
    return a.concat(b);
  }, []);
};

exports.flatten = flatten;

var getAllEntities = function getAllEntities(editorState) {
  var type = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
  var content = editorState.getCurrentContent();
  var entities = [];
  content.getBlocksAsArray().forEach(function (contentBlock) {
    entities.push((0, _.getEntitiesForBlock)(editorState, contentBlock, type));
  });
  return flatten(entities);
};

var _default = getAllEntities;
exports["default"] = _default;