"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _draftJs = require("draft-js");

var selectBlockByKey = function selectBlockByKey(editorState, key) {
  var currentBlock = editorState.getCurrentContent().getBlockForKey(key);

  var selectionState = _draftJs.SelectionState.createEmpty();

  var entireBlockSelectionState = selectionState.merge({
    anchorKey: key,
    anchorOffset: 0,
    focusKey: key,
    focusOffset: currentBlock.getText().length
  });
  return _draftJs.EditorState.forceSelection(editorState, entireBlockSelectionState);
};

var _default = selectBlockByKey;
exports["default"] = _default;