"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _draftJs = require("draft-js");

var moveCaretAfterBlock = function moveCaretAfterBlock(editorState, block) {
  var content = editorState.getCurrentContent();
  var nextBlock = content.getBlockAfter(block.getKey());
  var key = nextBlock ? nextBlock.getKey() : undefined;

  if (key) {
    var selectionState = _draftJs.SelectionState.createEmpty();

    var newSelectionState = selectionState.merge({
      anchorKey: key,
      anchorOffset: 0,
      focusKey: key,
      focusOffset: 0
    });
    return _draftJs.EditorState.forceSelection(editorState, newSelectionState);
  }

  return editorState;
};

var _default = moveCaretAfterBlock;
exports["default"] = _default;