"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _draftJs = require("draft-js");

var removeEntity = function removeEntity(editorState, entity) {
  var contentState = editorState.getCurrentContent();
  var selectionState = editorState.getSelection();
  var startKey = selectionState.getStartKey();
  var contentBlock = contentState.getBlockForKey(startKey);
  /* istanbul ignore if */

  if (!entity) return editorState;
  var entitySelection = null;
  contentBlock.findEntityRanges(function (character) {
    return character.getEntity() === entity.entityKey;
  }, function (start, end) {
    entitySelection = selectionState.merge({
      anchorOffset: start,
      focusOffset: end
    });
  });

  var newContentState = _draftJs.Modifier.applyEntity(contentState, entitySelection, null);

  return _draftJs.EditorState.push(editorState, newContentState, 'apply-entity');
};

var _default = removeEntity;
exports["default"] = _default;